bkgdCorrect {codelink} | R Documentation

## Background correction of intensity values.

### Description

Takes a Codelink object with Spot mean and Bkgd median values and corrects applying one of the methods available.

### Usage

      bkgdCorrect(object, method = "half", preserve = FALSE, verbose = FALSE,
        offset = 0)

### Arguments

`object` | character; an object of class "Codelink".
`method` | character; the correction method to use, one of "none", "subtract", "half" and "normexp".
`preserve` | logical; if Smean and Bmedian slots should be preserved.
`verbose` | logical; if TRUE print some information with method normexp.
`offset` | numeric; value to add to intensities.

### Details

Available methods are: . none: left intensities untouched. . subtract: simple subtraction of Bkgd median from Spot mean. . half: the same as above but aboid negative values setting all intensity values below zero to 0.5. . normexp: apply normexp background adjustment from package limma.

### Value

An object of class Codelink with corrected intensity values, that is Ri slot.

### Author(s)

Diego Diez

### Examples

    ## Not run:
        data(codelink.example)
        codelink.example <- bkgdCorrect(codelink.example, method = "half")
    ## End(Not run)

[Package codelink version 1.12.1 Index]